
Summary:	Parser generator system for Haskell
Name:		happy
Version:	1.10
Release:	2mdk
URL:		http://haskell.cs.yale.edu/happy/
Source0:	http://haskell.cs.yale.edu/happy/dist/1.10/happy-1.10-src.tar.bz2
License:	GPL
Group:		Development/Other
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildRequires:	autoconf ghc gmp-devel openjade
ExcludeArch:	alpha, ppc

%description
Happy is a parser generator system for Haskell, similar to the tool `yacc' for
C. Like `yacc', it takes a file containing an annotated BNF specification of a
grammar and produces a Haskell module containing a parser for the grammar.

Happy is flexible: unlike `yacc', you can have several Happy parsers in the
same program. Happy can work in conjunction with a lexical analyser supplied
by the user (either hand-written or generated by another program), or it can
parse a stream of characters directly (but this isn't practical in most cases).

%prep

%setup -q
chmod u+w *

%build
autoconf
%configure
make boot
make all
make -C happy/doc happy.html

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc happy/ANNOUNCE happy/CHANGES happy/README happy/TODO happy/doc/happy happy/examples
%{_bindir}/happy*
%{_libdir}/happy*

%changelog
* Thu Jul 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 1.10-2mdk
- rebuild

* Sat Apr 28 2001 Pixel <pixel@mandrakesoft.com> 1.10-1mdk
- new version

* Fri Dec 29 2000 David BAUDENS <baudens@mandrakesoft.com> 1.9-2mdk
- ExcludeArch: ppc

* Wed Dec 27 2000 Pixel <pixel@mandrakesoft.com> 1.9-1mdk
- new version

* Thu Aug 31 2000 Pixel <pixel@mandrakesoft.com> 1.8-1mdk
- new version

* Tue Aug 08 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.6-5mdk
- automatically added BuildRequires

* Wed May 24 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.6-4mdk
- ExcludeArch: alpha (lazzy to fix or not possible to fix ?)

* Tue May 22 2000 David BAUDENS <baudens@mandrakesoft.com> 1.6-3mdk
- Fix %doc, Description & Summary

* Sun Apr 16 2000 Pixel <pixel@mandrakesoft.com> 1.6-2mdk
- new group

* Mon Feb  7 2000 Pixel <pixel@mandrakesoft.com> 1.6-1mdk
- initial spec
